package com.ruoyi.ems.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * 区域对象属性对象 adm_area_attr
 * 
 * @author ruoyi
 * @date 2024-11-01
 */
@Data
public class AreaAttr
{
    /** 序号 */
    private Long id;

    /** 区域代码 */
    private String areaCode;

    /** 所有单位 */
    private String attrOrg;

    /** 管理单位 */
    private String mgrOrg;

    /** 负责人 */
    private String leader;

    /** 联系电话 */
    private String phone;

    /** 开通时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date openDate;

    /** 建筑面积（平方米 m²） */
    private Double floorArea;

    /** 使用面积（平方米 m²） */
    private Double usableArea;

    /** 楼层 */
    private Integer floor;

    /** 经度 */
    private Double longitude;

    /** 纬度 */
    private Double latitude;

    /**
     * 标签名称
     */
    private String tagCodes;

    /**
     * 标签名称
     */
    private String tagNames;

    /**
     * 标签代码
     */
    private List<String> tagCodeList;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("areaCode", getAreaCode())
            .append("attrOrg", getAttrOrg())
            .append("mgrOrg", getMgrOrg())
            .append("leader", getLeader())
            .append("phone", getPhone())
            .append("openDate", getOpenDate())
            .append("floorArea", getFloorArea())
            .append("usableArea", getUsableArea())
            .append("floor", getFloor())
            .append("longitude", getLongitude())
            .append("latitude", getLatitude())
            .toString();
    }
}
